
QGIS Application - Feature request #3121

print composer: allow generating the legend classes of only the visibile features

2010-10-16 09:27 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13181

Description

this is like the "show only visible features" in the table of attributes object.

History

#1 - 2011-09-22 12:44 AM - James Stott

+1 for this as well. Would be very useful. Doing it manually is very time consuming.

#2 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-09-02 05:34 AM - Arthur Vignacq

+1. I didn't find this feature demand and created another topic. It is indeed a very useful fonction as deleting multiple legend classes is very long when

exporting 10 maps and more with not the same classes ...

I hope this is not to complicate to add in QGIS

#6 - 2014-03-20 10:22 AM - John Tull

- Pull Request or Patch supplied set to No

I searched for this ticket, but couldn't find it. It was hard to imagine that nobody else had thought of this before. Thanks, Nyall, for being better at finding

tickets and closing out my duplicate. Here is what I wrote for my ticket:

The Atlas tool has greatly enhanced the print composer functionality of QGIS. Using it has brought to mind a feature that would be very useful if it could be

implemented: dynamic composer legends.

With dynamic composer legends, mapped layers that have no features in the composer canvas would not appear in the legend, whereas items visible

would appear in the legend. This would be useful for applications where multiple maps are generated for a mapped area, but not all data layers show up in

each map composer, whether mapped manually or generated with the Atlas tool.

The value of these dynamic legends is having maps that don't include symbology in the map legend for layers that are not present in the map. This is

confusing for those using the map, and it necessitates producing maps manually that you would like to be able to generate with the Atlas tool if you want to
generate legends that represent actual data on each map.

#7 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#8 - 2014-06-20 03:47 AM - Giovanni Manghi

- Status info deleted (0)

- Assignee changed from Marco Hugentobler to Nyall Dawson

- Operating System deleted (All)

#9 - 2014-09-07 04:47 AM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#10 - 2014-09-12 08:20 AM - Heikki Vesanto

+1 From myself, would love to see this feature. Especially useful with all the other great updates to the print composer in recent releases.

#11 - 2014-09-25 04:06 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Implemented in master - thanks Martin!
